Mine områder

Logg inn Gå til de områdene du ønsker å legge til og velg "Legg til i Mine områder"
Huldt & Lillevik Lønn
avbryt
Viser resultater for 
Søk heller etter 
Mente du: 
Vidar Kristiansen4
  • 2 Svar
  • 0 Liker
  • 271 Visninger

Hvis du ved oppgradering til build 2112, eller ved opprettelse av ny klientdatabase

får melding: Unit_Update_sp.sql: 'TRY_Convert',

 

Scenario

Denne meldingen kommer hos de som har oppgradert SQLinstansen sin. 

Typisk feilmelding:

TryConvert.PNG

 

Denne kan løses ved å øke Compatability LevelMaster og Model databasene til høyeste mulige verdi tilgjengelig ved å logge inn i SQL Server Management Studio, utvide Databases i Object Explorer vinduet, utvid System Databases, høyreklikk på master databasen og velg Properties | Options og sett Compatability level til høyeste mulige verdi tilgjengelig.

Gjør det samme på Model basen.

Eksempel:

ObjectExpl.png

 

 

 

Kommentarer

Denne sjekken og eventuell endring av Compability Level, burde ligge automatisk i selve oppgraderingen, så at vi/kundene slipper å tenke på dette. 

For de som har et regnskapskontor med mange klienter og ikke kan SQL script og måtte gå manuelt igjennom alle databaser for å sjekke og sette dette riktig blir for tungvindt.

Eller at dere lager et script og legger det her, som kan være til hjelp.

 

For de av dere som kan litt SQL, her er et spørring mot HLonn databasen, som gir deg en indikasjon på om noe må gjøres (sjekker ikke noe på klientdatabaser)

Den viser hvilken SQL versjon du har, og hvilken CompabilityLevel den kjører på.

Select @@version as GjeldendeSQLversjon, (SELECT compatibility_level FROM sys.databases WHERE name = 'Hlonn') as CompabilityLevel, '100=SQL2008, 110=SQL2012, 120=SQL2014 ...' AS CompabilityLevelForklaring

Oppgradering prøver jo og å sette kompatibilitetsnivå til høyeste tilgjengelig nivå. Men hvis man har oppgradert SQLinstansen så klarer den ikke å gjøre dette, antagelig pga at oppgraderingen gjør noe rart med med kompatibilitetsnivået. Dette skjer ikke på databaseinstanser som ikke har vært oppgradert, og vi anbefaler aldri å oppgradere SQL, men å installere en ny instans paralellt med den eksisterende.